<?php

namespace Modules\Contrat\Rules;

use Psr\Http\Message\ServerRequestInterface;

class AjaxArticle
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function supprimerArticleDetail(): bool
    {
        if (!$this->main->contractCreatEditAccess()) {
            return false;
        }

        return true;
    }


    /**
     * @return bool
     */
    public function detailArticle(): bool
    {
        return true;
    }
}
